//
//  MKPDeleteTableViewController.m
//  MKPTableViewCell
//
//  Created by 图合天驷 on 16/12/15.
//  Copyright © 2016年 毛凯平. All rights reserved.
//

#import "MKPDeleteTableViewController.h"
/**  */
@interface MKPDeleteTableViewController ()
@property (nonatomic, strong) NSMutableArray * array;
@end

@implementation MKPDeleteTableViewController

static NSString *const MKPCell = @"MCell";

-(NSMutableArray *)array
{
    if (!_array) {
        _array = [NSMutableArray array];
        _array = [@[@"A",@"B",@"C",@"D",@"E",@"F",@"G",@"H",@"I",@"J"]mutableCopy];
        
    }
    return _array;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.navigationItem.rightBarButtonItem = self.editButtonItem;
    [self.tableView registerClass:[UITableViewCell class] forCellReuseIdentifier:MKPCell];
    self.title = @"cell删除";

}
#pragma mark - Table view data source



- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
#warning Incomplete implementation, return the number of rows
    return self.array.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:MKPCell forIndexPath:indexPath];
    cell.textLabel.text = _array[indexPath.row];
    
    return cell;
}

-(void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    [_array removeObjectAtIndex:indexPath.row];
    [self.tableView deleteRowsAtIndexPaths:[NSArray arrayWithObjects:indexPath, nil] withRowAnimation:UITableViewRowAnimationAutomatic];
}

@end
