//
//  MKPMoveTableViewController.m
//  MKPTableViewCell
//
//  Created by 图合天驷 on 16/12/15.
//  Copyright © 2016年 毛凯平. All rights reserved.
//

#import "MKPMoveTableViewController.h"

@interface MKPMoveTableViewController ()
/**  */
@property (nonatomic, strong) NSMutableArray * array;

@end

@implementation MKPMoveTableViewController

static NSString *const MKPCell = @"MCell";

-(NSMutableArray *)array
{
    if (!_array) {
        _array = [NSMutableArray array];
        _array = [@[@"A",@"B",@"C",@"D",@"E",@"F",@"G",@"H",@"I",@"J"]mutableCopy];

    }
    return _array;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.navigationItem.rightBarButtonItem = self.editButtonItem;
    [self.tableView registerClass:[UITableViewCell class] forCellReuseIdentifier:MKPCell];
    self.title = @"cell移动";
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return self.array.count;
}

-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:MKPCell forIndexPath:indexPath];
    cell.textLabel.text = _array[indexPath.row];
    return cell;
}

- (UITableViewCellEditingStyle)tableView:(UITableView *)tableView editingStyleForRowAtIndexPath:(NSIndexPath *)indexPath
{
    return UITableViewCellEditingStyleNone;
}

- (BOOL)tableView:(UITableView *)tableView shouldIndentWhileEditingRowAtIndexPath:(NSIndexPath *)indexPath
{
    return NO;
}

- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath
      toIndexPath:(NSIndexPath *)toIndexPath
{
    id object = [_array objectAtIndex:fromIndexPath.row];
    [_array removeObjectAtIndex:fromIndexPath.row];
    [_array insertObject:object atIndex:toIndexPath.row];
}


@end
