//
//  ViewController.m
//  MKPTableViewCell
//
//  Created by 图合天驷 on 16/12/15.
//  Copyright © 2016年 毛凯平. All rights reserved.
//

#import "ViewController.h"
#import "MKPMoveTableViewController.h"
#import "MKPDeleteTableViewController.h"
#import "MKPInserTableViewController.h"

@interface ViewController ()<UITableViewDelegate,UITableViewDataSource>
@property (weak, nonatomic) IBOutlet UITableView *tableView;

@end

@implementation ViewController

static NSString *const MKPCell = @"MCell";

- (void)viewDidLoad {
    [super viewDidLoad];
    [self.tableView registerClass:[UITableViewCell class] forCellReuseIdentifier:MKPCell];
}

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 3;
}

-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:MKPCell forIndexPath:indexPath];
    switch (indexPath.row) {
        case 0:
            cell.textLabel.text = @"cell移动";
            break;
        case 1:
            cell.textLabel.text = @"cell删除";
            break;
        case 2:
            cell.textLabel.text = @"cell添加";
            break;
        default:
            break;
    }
    return cell;
}

-(void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (indexPath.row == 0) {
        MKPMoveTableViewController *moveVC = [[MKPMoveTableViewController alloc] init];
        [self.navigationController pushViewController:moveVC animated:YES];
    }else if (indexPath.row == 1){
        MKPDeleteTableViewController *deleteVC = [[MKPDeleteTableViewController alloc] init];
        [self.navigationController pushViewController:deleteVC animated:YES];
    }else if (indexPath.row == 2){
        MKPInserTableViewController *insertVC = [[MKPInserTableViewController alloc] init];
        [self.navigationController pushViewController:insertVC animated:YES];
    }
}

@end
